using System.Windows.Input;
using Valg.EVA.Skanning.Scan.ReadSoftContracts.Events;

namespace Valg.EVA.Skanning.Scan.Presentation.ScannerQuality
{
    public interface IScannerQualityViewModel
    {
        ICommand StartScanningCommand { get; }
        void Dispose();
        void RunQualityCheck(ScanFormFinishedEventArgs scannedForm);
        void HandleScanReportedUnspecificReadsoftErrorCode(ScanReportedUnspecificReadsoftErrorCodeEventArgs obj);
        void HandleScanReportedPaperJam(ScanReportedPaperJamEventArgs obj);
        void HandleScanReportedNoMorePaperInFeeder(ScanReportedNoMorePaperInFeederEventArgs obj);
    }
}

